Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ForAllCM

    java.lang.Object
      ix.ip2.ForAllCM

All Implemented Interfaces:
  ConstraintManager, IXAgentExtension

    public class ForAllCM

extends java.lang.Object
implements ConstraintManager, IXAgentExtension

Manager for for-all constraints.

The syntax is:

        (FOR ALL (variable IN list : pattern) = value)

Constructor Summary
`ForAllCM(Ip2 ip2)`

Method Summary
`void` | `addConstraint(Constraint c)`
`void` | `addConstraint(PNode node, Constraint c)`
`void` | `clear()`
`void` | `evalAtBegin(PNodeEnd ne, Constraint c)`
`void` | `evalAtEnd(PNodeEnd ne, Constraint c)`
`void` | `installExtension()`
`boolean` | `mightInteract(Constraint c1, Constraint c2)`
`void` | `registerWith(ConstraintManagerRegistry r)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForAllCM

    public ForAllCM(Ip2 ip2)

Method Detail

### registerWith

    public void registerWith(ConstraintManagerRegistry r)

  Specified by:
    `registerWith` in interface `ConstraintManager`

### installExtension

    public void installExtension()

  Specified by:
    `installExtension` in interface `IXAgentExtension`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ConstraintManager`

### clear

    public void clear()

  Specified by:
    `clear` in interface `ConstraintManager`

### addConstraint

    public void addConstraint(Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`
  Throws:
    `java.lang.UnsupportedOperationException` - if called.

### addConstraint

    public void addConstraint(PNode node,
                              Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`

### evalAtBegin

    public void evalAtBegin(PNodeEnd ne,
                            Constraint c)

  Specified by:
    `evalAtBegin` in interface `ConstraintManager`

### evalAtEnd

    public void evalAtEnd(PNodeEnd ne,
                          Constraint c)

  Specified by:
    `evalAtEnd` in interface `ConstraintManager`

### mightInteract

    public boolean mightInteract(Constraint c1,
                                 Constraint c2)

  Specified by:
    `mightInteract` in interface `ConstraintManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD